/*
** cmds.h for ftpclient in /home/chary_c/Prog/my_ftp/client
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Fri Jan  4 14:09:41 2008 corentin chary
** Last update Wed Jan  9 23:17:17 2008 corentin chary
*/

#ifndef CMDS_H_
# define CMDS_H_

typedef struct s_cmd
{
  t_ftp		*cm_ftp;
  size_t	cm_argc;
  char		**cm_argv;
}		t_cmd;

typedef struct  s_bi_cmd
{
  const char *	bi_name;
  int		(*bi_func)(t_cmd *cmd);
  size_t	bi_min_args;
  size_t	bi_max_args;
  const char *	bi_description;
  const char *	bi_usage;
}               t_bi_cmd;

int	cmd_quit(t_cmd *cmd);
int	cmd_cd(t_cmd *cmd);
int	cmd_ls(t_cmd *cmd);
int	cmd_nls(t_cmd *cmd);
int	cmd_pwd(t_cmd *cmd);
int	cmd_get(t_cmd *cmd);
int	cmd_put(t_cmd *cmd);
int	cmd_rename(t_cmd *cmd);
int	cmd_delete(t_cmd *cmd);
int	cmd_rmdir(t_cmd *cmd);
int	cmd_mkdir(t_cmd *cmd);
int	cmd_chmod(t_cmd *cmd);
int	cmd_lcd(t_cmd *cmd);
int	cmd_lls(t_cmd *cmd);
int	cmd_lpwd(t_cmd *cmd);

#endif /* !CMDS_H_ */
