/*
** ftp.c for ftpclient in /home/chary_c/Prog/my_ftp/client
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Fri Jan  4 10:51:58 2008 corentin chary
** Last update Sun Apr 13 19:27:45 2008 corentin chary
*/

#include "ftplib.h"
#include "client.h"

static void	loop(t_ftp *ftp)
{
  t_cmd		cmd;
  int		ret;

  cmd.cm_ftp = ftp;
  while (readcmd(&cmd))
    {
      ftp->resp = 0;
      if ((ret = execcmd(&cmd)))
	printf("FAILURE (%s)\n",
	       (ret == 1 ? "Unknown command" : ftp_error(ftp)));
      else
	printf("SUCCESS\n");
      freecmd(&cmd);
    }
}

int	ftp(const char *host, short port)
{
  t_ftp	*ftp;

  ftp = ftp_connect(host, port, 10000);
  if (!ftp)
    return (-1);
  if (login(ftp))
    return (-1);
  loop(ftp);
  ftp_quit(ftp);
  ftp_close(ftp);
  return (0);
}
