/*
** print_eta.c for ftpclient in /home/chary_c/Prog/my_ftp/client
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Fri Jan  4 17:13:41 2008 corentin chary
** Last update Thu Apr 10 16:29:05 2008 corentin chary
*/

#include <stdio.h>
#include <math.h>

#include "client.h"
#include "winsize.h"

void	print_eta(time_t time, size_t bytes, size_t total)
{
  float	perc;
  int	eta;

  perc = floor(100. / total * bytes * 100.) / 100;
  eta = 100. / perc * time;
  printf("%*s", getwincol() - 1, " \r");
  printf("%.2f %% - ETA %d sec\r", perc, eta);
  fflush(stdout);
}
