/*
** winsize.c for my_select in /home/chary_c/Prog/my_select
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Tue Nov 20 17:00:02 2007 corentin chary
** Last update Sun Apr 13 20:01:54 2008 corentin chary
*/

#include <errno.h>
#include <unistd.h>

#include "winsize.h"
#include "error.h"

void	getwinsize(struct winsize *w)
{
  if (ioctl(0, TIOCGWINSZ, w) < 0)
    err(1, errno, "ioctl(TIOCGWINSZ)");
}

int			getwincol(void)
{
  struct winsize	w;

  getwinsize(&w);
  return (w.ws_col);
}

int			getwinrow(void)
{
  struct winsize	w;

  getwinsize(&w);
  return (w.ws_row);
}
