/*
** gnl.h for minishell in /home/chary_c/Prog/minishell
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Fri Nov  9 11:22:51 2007 corentin chary
** Last update Mon Jan  7 20:53:58 2008 corentin chary
*/

#ifndef GNL_H_
# define GNL_H_

# define GNL_BUFFER_SIZE (1 << 10)

# include <unistd.h>

typedef struct	s_gnl_buf
{
  ssize_t	(*read)(int fd, void *buf, size_t count);
  char		buf[GNL_BUFFER_SIZE];
  int		size;
  int		start;
  int		fd;
}		t_gnl_buf;

char	*gnl(t_gnl_buf *buf);
char	*readline(const char *prompt);

#endif /* !GNL_H_ */
