/*
** ftp_chmod.c for ftplib in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Thu Jan  3 18:00:51 2008 corentin chary
** Last update Fri Jan  4 16:30:11 2008 corentin chary
*/

#include "ftplib.h"

int	ftp_chmod(t_ftp *ftp, const char *filename, int mode)
{
  FTP_ASSERT(ftp && filename && *filename);
  if (ftp_cmd(ftp, "SITE CHMOD %o %s", mode, filename) || ftp->resp != 200)
    return (-1);
  return (0);
}
