/*
** ftp_mkdir.c for ftplib in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Tue Jan  1 15:26:10 2008 corentin chary
** Last update Thu Jan  3 18:14:15 2008 corentin chary
*/

#include "ftplib.h"
#include "ftplib_priv.h"

int	ftp_mkdir(t_ftp *ftp, const char *dir, char *buf, size_t buflen)
{
  int	ret;

  if (!ftp)
    return (-1);
  ret = ftp_cmd(ftp, "MKD %s", dir);
  if (ret)
    return (ret);
  if (ftp->resp != 257)
    return (-1);
  if (buf && buflen)
    {
      ret = ftp_get_quoted_val(ftp, buf, buflen);
      if (ret)
	return (ret);
    }
  return (0);
}
