/*
** ftp_pwd.c for ftplib in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Tue Jan  1 15:26:10 2008 corentin chary
** Last update Thu Jan  3 18:14:06 2008 corentin chary
*/

#include "ftplib.h"
#include "ftplib_priv.h"

int	ftp_pwd(t_ftp *ftp, char *buf, size_t buflen)
{
  int	ret;

  if (!ftp)
    return (-1);
  ret = ftp_cmd(ftp, "PWD");
  if (ret)
    return (ret);
  if (ftp->resp != 257)
    return (-1);
  ret = ftp_get_quoted_val(ftp, buf, buflen);
  if (ret)
    return (ret);
  return (0);
}

