/*
** sock_pollfd.c for ftplib in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Tue Jan  1 14:16:13 2008 corentin chary
** Last update Thu Apr 10 16:19:14 2008 corentin chary
*/

#include <sys/types.h>
#include <poll.h>
#include <errno.h>

#include "sock.h"

int		sock_pollfd(int fd, short event, int timeout)
{
  int		ret;
  struct pollfd	pfd;

  pfd.fd = fd;
  pfd.events = event;
  pfd.revents = 0;
  ret = poll(&pfd, 1, timeout);
  if (ret == 0)
    {
      errno = ETIMEDOUT;
      ret = -1;
    }
  return (ret);
}
