/*
** xmalloc.c for libmy in /u/epitech_2010s/chary_c/cu/projs/bistro/libmy
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Wed Oct 24 11:06:33 2007 corentin chary
** Last update Sun Dec 30 19:27:01 2007 corentin chary
*/

#include <stdlib.h>
#include <errno.h>

#include "error.h"

void		*xcalloc(size_t nmemb, size_t size)
{
  void		*p;

  p = calloc(size, nmemb);
  if (!p && size && nmemb)
    err(1, errno, "calloc(%u, %u)", nmemb, size);
  return (p);
}
