/*
** xmalloc.c for libmy in /u/epitech_2010s/chary_c/cu/projs/bistro/libmy
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Wed Oct 24 11:06:33 2007 corentin chary
** Last update Sun Dec 30 19:11:06 2007 corentin chary
*/

#include <stdlib.h>
#include <errno.h>

#include "error.h"

void	*xrealloc(void *ptr, size_t n)
{
  void	*p;

  p = realloc(ptr, n);
  if (!p && n)
    err(1, errno, "realloc(%d)", n);
  return (p);
}
