/*
** xstrdup.c for xalloc in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Sun Dec 30 19:23:08 2007 corentin chary
** Last update Sun Dec 30 19:30:17 2007 corentin chary
*/

#include <stdlib.h>
#include <string.h>
#include <errno.h>

#include "error.h"
#include "xalloc.h"

char	*xstrdup(const char *s)
{
  char	*p;

  p = strdup(s);
  if (!p && s)
    err(1, errno, "strdup(%s)", s);
  return (p);
}
