/*
** cmd_mkd.c for ftpserver in /home/chary_c/Prog/my_ftp/server
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Mon Jan  7 21:17:31 2008 corentin chary
** Last update Tue Jan  8 18:03:07 2008 corentin chary
*/

#include <unistd.h>
#include <sys/stat.h>
#include <errno.h>
#include <stdio.h>

#include "error.h"
#include "xalloc.h"
#include "server.h"
#include "cmds.h"

int	cmd_mkd(t_cmd *cmd)
{
  t_ftp	*ftp;
  char	*dir;

  dir = cmd->cm_argv[1];
  ftp = cmd->cm_ftp;
  if (mkdir(dir, 0755))
    {
      perr(errno, "mkdir(%s)", dir);
      resp(ftp, 550, "Create directory operation failed.");
      return (-1);
    }
  resp(ftp, 257, "\"%s\" created.", dir);
  return (0);
}
