/*
** cmd_pass.c for ftpserver in /home/chary_c/Prog/my_ftp/server
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Mon Jan  7 21:17:31 2008 corentin chary
** Last update Sun Apr 13 18:06:55 2008 corentin chary
*/

#include "xalloc.h"
#include "server.h"
#include "cmds.h"

int	cmd_pass(t_cmd *cmd)
{
  t_ftp	*ftp;

  ftp = cmd->cm_ftp;
  if (!ftp->user)
    {
      resp(ftp, 503, "Use USER first.");
      return (-1);
    }
  if (!login(ftp, cmd->cm_argv[1]))
    {
      resp(ftp, 230, "Login successful.");
      ftp->state = FTP_STATE_CMD;
    }
  else
    {
      resp(ftp, 530, "Login incorrect.");
      ftp->state = FTP_STATE_LOGIN;
    }
  return (0);
}
