/*
** cmd_rnfr.c for ftpserver in /home/chary_c/Prog/my_ftp/server
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Mon Jan  7 21:17:31 2008 corentin chary
** Last update Tue Jan  8 15:58:31 2008 corentin chary
*/

#include <sys/stat.h>

#include "xalloc.h"
#include "server.h"
#include "cmds.h"

int		cmd_rnfr(t_cmd *cmd)
{
  t_ftp		*ftp;
  struct stat	st;

  ftp = cmd->cm_ftp;
  free(ftp->rnfr);
  ftp->rnfr = xstrdup(cmd->cm_argv[1]);
  if(stat(ftp->rnfr, &st))
    {
      resp(ftp, 550, "RNFR command failed.");
      return (-1);
    }
  resp(ftp, 350, "Ready for RNTO.");
  return (0);
}
