/*
** cmd_size.c for ftpserver in /home/chary_c/Prog/my_ftp/server
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Mon Jan  7 21:17:31 2008 corentin chary
** Last update Tue Jan  8 18:07:53 2008 corentin chary
*/

#include <unistd.h>
#include <sys/stat.h>
#include <errno.h>
#include <stdio.h>

#include "error.h"
#include "xalloc.h"
#include "server.h"
#include "cmds.h"

int		cmd_size(t_cmd *cmd)
{
  t_ftp		*ftp;
  char		*file;
  struct stat	st;

  file = cmd->cm_argv[1];
  ftp = cmd->cm_ftp;
  if (stat(file, &st) || !S_ISREG(st.st_mode))
    {
      if (errno)
	perr(errno, "stat(%s)", file);
      resp(ftp, 550, "Could not get file size.");
      return (-1);
    }
  resp(ftp, 213, "%d", st.st_size);
  return (0);
}
