/*
** main.c for ftpserver in /home/chary_c/Prog/my_ftp/server
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Mon Jan  7 13:47:29 2008 corentin chary
** Last update Sun Apr 13 19:49:56 2008 corentin chary
*/

#include <errno.h>
#include <stdlib.h>
#include <stdio.h>

#include "error.h"
#include "server.h"

int	main(int argc, char *argv[])
{
  short port;

  if (getuid())
    fprintf(stderr, "FTP server not started as root, you won't "
	    "be able to use shadow authentification ...\n");
  if (argc != 2 && argc != 1)
    err(2, EINVAL, "server [port]");
  if (argc == 2)
    port = strtol(argv[1], NULL, 10);
  else
    {
      if (getuid())
	err(2, EINVAL, "You must be root to use port 21");
      port = 21;
    }
  return (father(port));
}
