/*
** client.h for ftpclient in /home/chary_c/Prog/my_ftp/client
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Fri Jan  4 10:53:53 2008 corentin chary
** Last update Fri Jan  4 18:29:17 2008 corentin chary
*/

#ifndef CLIENT_H_
# define CLIENT_H_

# define CLIENT_PROMPT		"ftp> "
# define CLIENT_PROMPT_USER	"user: "
# define CLIENT_PROMPT_PASS	"password: "

# include <limits.h>

# ifndef PATH_MAX
#  define PATH_MAX 1024
# endif

# include "ftplib.h"
# include "cmds.h"

int	ftp(const char *host, short port);
int	login(t_ftp *ftp);
int	readcmd(t_cmd *cmd);
int	execcmd(t_cmd *cmd);
void	freecmd(t_cmd *cmd);
void	print_eta(time_t time, size_t bytes, size_t total);

#endif /* !CLIENT_H_ */
