/*
** cmd_lls.c for ftpclient in /home/chary_c/Prog/my_ftp/client
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Fri Jan  4 14:12:27 2008 corentin chary
** Last update Fri Jan  4 16:53:03 2008 corentin chary
*/

#include <unistd.h>
#include <errno.h>
#include <sys/wait.h>

#include "client.h"
#include "cmds.h"
#include "error.h"

int	cmd_lls(t_cmd *cmd)
{
  pid_t	child;
  int	dummy;

  (void) cmd;
  child = fork();
  if (child < 0)
    return (-1);
  if (child)
    wait(&dummy);
  else
    {
      execvp("ls", (char *[]) {"ls", "-l", NULL});
      err(1, errno, "exec failed()");
    }
  return (0);
}
