/*
** cmd_ls.c for ftpclient in /home/chary_c/Prog/my_ftp/client
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Fri Jan  4 14:12:27 2008 corentin chary
** Last update Wed Jan  9 23:16:18 2008 corentin chary
*/

#include <string.h>

#include "client.h"
#include "cmds.h"
#include "xalloc.h"

static void	parse_args(t_cmd *cmd, int *rec, char **dir)
{
  *rec = 0;
  *dir = "";
  if (cmd->cm_argc == 2)
    {
      if (!strcmp("-r", cmd->cm_argv[1]))
	*rec = 1;
      else
	*dir = cmd->cm_argv[1];
    }
  if (cmd->cm_argc == 3)
    {
      *rec = (!strcmp("-r", cmd->cm_argv[1]) ? 1 : 0);
      *dir = cmd->cm_argv[2];
    }
}

int	cmd_ls(t_cmd *cmd)
{
  char	*dir;
  int	rec;
  char	**p;
  char	**files;

  parse_args(cmd, &rec, &dir);
  files = ftp_list(cmd->cm_ftp, dir, rec);
  p = files;
  if (!p)
    return (-1);
  while (*p)
    puts(*p++);
  xbfree((void **)files);
  return (0);
}
