/*
** main.c for ftpclient in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Sun Dec 30 22:48:43 2007 corentin chary
** Last update Fri Jan  4 10:54:22 2008 corentin chary
*/

#include <stdlib.h>
#include <errno.h>

#include "error.h"
#include "client.h"

int	main(int argc, char *argv[])
{
  short	port;

  if (argc != 2 && argc != 3)
    err(2, EINVAL, "client host [port]");
  if (argc == 3)
    port = strtol(argv[2], NULL, 10);
  else
    port = 21;
  return (ftp(argv[1], port));
}
