/*
** xalloc.h for xalloc in /home/chary_c/Prog/my_objdump
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Mon Dec 24 17:40:57 2007 corentin chary
** Last update Fri Jan  4 10:37:57 2008 corentin chary
*/

#ifndef XALLOC_H_
# define XALLOC_H_

# include <stdlib.h>

void	*xrealloc(void *ptr, size_t n);
void	*xmalloc(size_t n);
void	*xbmalloc(size_t rows);
void	*xcalloc(size_t nmemb, size_t size);
void	*xbcalloc(size_t rows);
char	*xstrdup(const char *s);
void	xbfree(void **ptr);
char	**xstrsplit(char *str, char *delim, size_t *rows);

#endif /* !XALLOC_H_ */
