/*
** ftp_acceptdata.c for ftplib in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Wed Jan  2 17:44:47 2008 corentin chary
** Last update Fri Jan  4 14:52:27 2008 corentin chary
*/

#include <unistd.h>
#include <string.h>

#include "ftplib_priv.h"
#include "sock.h"

int			ftp_acceptdata(t_ftp *ftp)
{
  int			fd;
  socklen_t		bytes;
  struct sockaddr	addr;

  FTP_ASSERT(ftp);
  FTP_ASSERT(ftp->data);
  memset(&addr, 0, sizeof (addr));
  bytes = sizeof (addr);
  fd = sock_accept(ftp->data->listen, &addr, &bytes, ftp->timeout);
  if (fd < 0)
    return (fd);
  ftp->data->fd = fd;
  close(ftp->data->listen);
  ftp->data->listen = -1;
  return (0);
}
