/*
** ftp_alloc.c for ftplib in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Thu Jan  3 18:16:04 2008 corentin chary
** Last update Thu Jan  3 18:21:25 2008 corentin chary
*/

#include "ftplib.h"

int	ftp_alloc(t_ftp *ftp, const int size)
{
  FTP_ASSERT(ftp);
  if (ftp_cmd(ftp, "ALLO %u", size))
    return (-1);
  if (ftp->resp != 200 && ftp->resp != 202)
    return (-1);
  return (0);
}
