/*
** ftp_chdir.c for ftplib in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Tue Jan  1 15:26:10 2008 corentin chary
** Last update Thu Jan  3 18:13:03 2008 corentin chary
*/

#include <string.h>

#include "ftplib.h"

int	ftp_chdir(t_ftp *ftp, const char *dir)
{
  int	ret;

  if (!ftp)
    return (-1);
  ret = ftp_cmd(ftp, "CWD %s", dir);
  if (ret)
    return (ret);
  return (ftp->resp != 250);
}

