/*
** ftp_closedata.c for ftplib in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Wed Jan  2 16:12:59 2008 corentin chary
** Last update Wed Jan  2 18:00:46 2008 corentin chary
*/

#include <unistd.h>
#include <stdlib.h>

#include "ftplib.h"

int	ftp_closedata(t_ftp *ftp)
{
  FTP_ASSERT(ftp);
  FTP_ASSERT(ftp->data);
  if (ftp->data->type == FTP_TYPE_ACTV)
    {
      if (ftp->data->fd >= 0)
	close(ftp->data->fd);
      if (ftp->data->listen >= 0)
	close(ftp->data->listen);
      free(ftp->data);
      ftp->data = NULL;
    }
  return (0);
}
