/*
** ftp_get_quoted_val.c for ftplib in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Tue Jan  1 15:55:20 2008 corentin chary
** Last update Thu Jan 10 08:24:51 2008 corentin chary
*/

#include <string.h>

#include "strlcat.h"
#include "strlcpy.h"
#include "ftplib.h"
#include "ftplib_priv.h"

int		ftp_get_quoted_val(t_ftp *ftp, char *buf, size_t buflen)
{
  char		*start;
  char		*end;

  start = strchr(ftp->resptxt, '"');
  if (!start)
    return (-1);
  start++;
  end = strchr(start, '"');
  if (!end)
    return (-1);
  strlcpy(buf, start, buflen);
  return (0);
}

