/*
** ftp_login.c for ftplib in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Tue Jan  1 15:02:42 2008 corentin chary
** Last update Thu Apr 10 16:24:14 2008 corentin chary
*/

#include "ftplib.h"
#include "ftplib_priv.h"

/*
** USER
**  230
**  530
**  500, 501, 421
**  331, 332
** PASS
**  230
**  202
**  530
**  500, 501, 503, 421
**  332
*/

int	ftp_login(t_ftp *ftp, const char *user, const char *pass)
{
  int	ret;

  if (!ftp)
    return (-1);
  ret = ftp_cmd(ftp, "USER %s", user);
  if (ret)
    return (ret);
  if (ftp->resp == 230)
    return (0);
  if (ftp->resp != 331)
    return (-1);
  if (ftp_cmd(ftp, "PASS %s", pass) || ftp->resp != 230)
    return (-1);
  ftp_recv_all_resp(ftp);
  return (0);
}
