/*
** ftp_rename.c for ftplib in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Thu Jan  3 21:04:08 2008 corentin chary
** Last update Thu Jan  3 21:07:36 2008 corentin chary
*/

#include "ftplib.h"

int	ftp_rename(t_ftp *ftp, const char *src, const char *dst)
{
  FTP_ASSERT(ftp && src && dst && *src && *dst);
  if (ftp_cmd(ftp, "RNFR %s", src) || ftp->resp != 350)
    return (-1);
  if (ftp_cmd(ftp, "RNTO %s", dst) || ftp->resp != 250)
    return (-1);
  return (0);
}
