/*
** ftp_rmdir.c for ftplib in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Tue Jan  1 15:26:10 2008 corentin chary
** Last update Thu Jan  3 18:14:24 2008 corentin chary
*/

#include "ftplib.h"

int	ftp_rmdir(t_ftp *ftp, const char *dir)
{
  int	ret;

  FTP_ASSERT(ftp);
  ret = ftp_cmd(ftp, "RMD %s", dir);
  if (ret)
    return (ret);
  if (ftp->resp != 250)
    return (-1);
  return (0);
}
