/*
** ftp_size.c for ftplib in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Thu Jan  3 12:35:02 2008 corentin chary
** Last update Thu Jan  3 18:14:59 2008 corentin chary
*/

#include <string.h>
#include <stdlib.h>

#include "ftplib.h"

ssize_t	ftp_size(t_ftp *ftp, const char *path)
{
  FTP_ASSERT(ftp);
  if (ftp_cmd(ftp, "SIZE %s", path) || ftp->resp != 213) {
    return (-1);
  }
  return (strtol(ftp->resptxt, NULL, 0));
}
