/*
** ftp_syst.c for ftplib in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Thu Jan  3 21:12:42 2008 corentin chary
** Last update Thu Jan 10 08:25:26 2008 corentin chary
*/

#include <string.h>

#include "ftplib.h"
#include "strlcat.h"
#include "strlcpy.h"

int	ftp_syst(t_ftp *ftp, char *buf, size_t buflen)
{
  FTP_ASSERT(ftp);
  if (ftp_cmd(ftp, "SYST") || ftp->resp != 215)
    return (-1);
  strlcpy(buf, ftp->resptxt, buflen);
  return (0);
}
