/*
** sock_accept.c for sock in /home/chary_c/Prog/my_ftp/libftp
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Wed Jan  2 16:53:16 2008 corentin chary
** Last update Tue Jan  8 08:23:24 2008 corentin chary
*/

#include <sys/types.h>
#include <sys/socket.h>
#include <unistd.h>
#include <errno.h>
#include <poll.h>

#include "sock.h"

int	sock_accept(int sockfd, struct sockaddr *addr,
		    socklen_t *addrlen, int timeout)
{
  int	ret;

  ret = 0;
  if (timeout)
    ret = sock_pollfd(sockfd, (POLLIN|POLLERR|POLLHUP), timeout);
  if (ret >= 0)
    ret = accept(sockfd, addr, addrlen);
  return (ret);
}
