/*
** cmd_cwd.c for ftpserver in /home/chary_c/Prog/my_ftp/server
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Tue Jan  8 08:37:01 2008 corentin chary
** Last update Sun Apr 13 20:17:59 2008 corentin chary
*/

#include <unistd.h>
#include <errno.h>

#include "error.h"
#include "server.h"
#include "cmds.h"

int	cmd_cwd(t_cmd *cmd)
{
  char	*dir;

  dir = cmd->cm_argv[1];
  if (check_dir(cmd->cm_ftp, dir) || chdir(dir))
    {
      perr(errno, "chdir(%s)", cmd->cm_argv[1]);
      resp(cmd->cm_ftp, 550, "Failed to change directory.");
      return (-1);
    }
  resp(cmd->cm_ftp, 250, "Directory successfully changed.");
  return (0);
}
