/*
** cmd_dele.c for ftpserver in /home/chary_c/Prog/my_ftp/server
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Mon Jan  7 21:17:31 2008 corentin chary
** Last update Tue Jan  8 18:05:10 2008 corentin chary
*/

#include <unistd.h>
#include <sys/stat.h>
#include <errno.h>
#include <stdio.h>

#include "error.h"
#include "xalloc.h"
#include "server.h"
#include "cmds.h"

int	cmd_dele(t_cmd *cmd)
{
  t_ftp	*ftp;
  char	*file;

  file = cmd->cm_argv[1];
  ftp = cmd->cm_ftp;
  if (unlink(file))
    {
      perr(errno, "unlink(%s)", file);
      resp(ftp, 550, "Delete operation failed.");
      return (-1);
    }
  resp(ftp, 250, "Delete operation successful.", file);
  return (0);
}
