/*
** cmd_pwd.c for ftpserver in /home/chary_c/Prog/my_ftp/server
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Tue Jan  8 08:37:01 2008 corentin chary
** Last update Tue Jan  8 15:41:18 2008 corentin chary
*/

#include <unistd.h>

#include "server.h"
#include "cmds.h"

int	cmd_pwd(t_cmd *cmd)
{
  char	buf[PATH_MAX];

  if (!getcwd(buf, sizeof (buf)))
    {
      resp(cmd->cm_ftp, 550, "Can't find Working Directory.");
      return (-1);
    }
  resp(cmd->cm_ftp, 257, "\"%s\"", buf);
  return (0);
}
