/*
** cmd_rmd.c for ftpserver in /home/chary_c/Prog/my_ftp/server
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Mon Jan  7 21:17:31 2008 corentin chary
** Last update Tue Jan  8 17:59:31 2008 corentin chary
*/

#include <unistd.h>
#include <errno.h>
#include <stdio.h>

#include "error.h"
#include "xalloc.h"
#include "server.h"
#include "cmds.h"

int	cmd_rmd(t_cmd *cmd)
{
  t_ftp	*ftp;

  ftp = cmd->cm_ftp;
  if (rmdir(cmd->cm_argv[1]))
    {
      perr(errno, "rmdir(%s)", cmd->cm_argv[1]);
      resp(ftp, 550, "Remove directory operation failed.");
      return (-1);
    }
  resp(ftp, 250, "Remove directory operation successful.");
  return (0);
}
