/*
** cmd_type.c for ftpserver in /home/chary_c/Prog/my_ftp/server
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Mon Jan  7 21:17:31 2008 corentin chary
** Last update Tue Jan  8 16:35:05 2008 corentin chary
*/

#include "server.h"
#include "cmds.h"

int	cmd_type(t_cmd *cmd)
{
  char	type;
  t_ftp	*ftp;

  ftp = cmd->cm_ftp;
  type = *cmd->cm_argv[1];
  if (type != 'A' && type != 'I')
    resp(ftp, 501, "Unknown type %c for TYPE", type);
  if (type == 'A')
    resp(ftp, 200, "Switching to ASCII mode.");
  if (type == 'I')
    resp(ftp, 200, "Switching to Binary mode.");
  ftp->type = type;
  return (0);
}
