/*
** cmd_user.c for ftpserver in /home/chary_c/Prog/my_ftp/server
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Mon Jan  7 21:17:31 2008 corentin chary
** Last update Sun Apr 13 18:30:57 2008 corentin chary
*/

#include <string.h>

#include "xalloc.h"
#include "server.h"
#include "cmds.h"

int	cmd_user(t_cmd *cmd)
{
  t_ftp	*ftp;

  ftp = cmd->cm_ftp;
  if (ftp->user && strlen(ftp->home))
    {
      resp(ftp, 500, "Unknown command.");
      return (-1);
    }
  free(ftp->user);
  ftp->user = xstrdup(cmd->cm_argv[1]);
  resp(ftp, 331, "Please specify the password.");
  return (0);
}
