/*
** readcmd.c for ftpserver in /home/chary_c/Prog/my_ftp/client
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Fri Jan  4 13:06:20 2008 corentin chary
** Last update Tue Jan  8 08:08:15 2008 corentin chary
*/

#include <stdio.h>
#include <string.h>

#include "gnl.h"
#include "server.h"
#include "xalloc.h"
#include "cmds.h"

int		readcmd(t_cmd *cmd)
{
  char		*str;
  size_t	len;

  cmd->cm_argv = NULL;
  cmd->cm_argc = 0;
  str = gnl(&cmd->cm_ftp->gnlbuf);
  T(cmd->cm_ftp, "<< %s\n", str);
  if (str)
    {
      len = strlen(str);
      if (str[len - 1] == '\r')
	str[len - 1] = '\0';
      cmd->cm_argv = xstrsplit(str, " ", &cmd->cm_argc);
    }
  free(str);
  return (cmd->cm_argv != NULL);
}
