/*
** resp.c for ftpserver in /home/chary_c/Prog/my_ftp/server
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Mon Jan  7 14:16:56 2008 corentin chary
** Last update Tue Jan  8 08:46:21 2008 corentin chary
*/

#include <stdarg.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "server.h"
#include "sock.h"

int		resp(t_ftp *ftp, int code, const char *fmt, ...)
{
  char		buf[FTP_BUFSIZE];
  char		nfmt[FTP_BUFSIZE];
  va_list	ap;

  va_start(ap, fmt);
  vsnprintf(nfmt, sizeof (nfmt), fmt, ap);
  va_end(ap);
  snprintf(buf, sizeof (buf), "%d %s\r\n", code, nfmt);
  T(ftp, ">> %s", buf);
  if (sock_send_all(ftp->fd, buf, strlen(buf), ftp->timeout) < 0)
    {
      TS(ftp, "Closing connection");
      exit(2);
    }
  return (0);
}
