/*
** strlcpy.c for strlcpy in /home/chary_c/Prog/minishell
** 
** Made by corentin chary
** Login   <chary_c@epitech.net>
** 
** Started on  Fri Nov  9 10:09:25 2007 corentin chary
** Last update Thu Jan 10 07:33:05 2008 corentin chary
*/

#include "strlcpy.h"

size_t		strlcpy(char *dst, const char *src, size_t size)
{
  char		*p;
  const char	*q;
  size_t	bytes;

  p = dst;
  q = src;
  bytes = 0;
  if (!q)
    return (bytes);
  while (*q)
    {
      if (bytes + 1 < size)
	*p = *q;
      p++;
      q++;
      bytes++;
    }
  if (size)
    *p = '\0';
  return (bytes);
}

